LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices


Reply
  Search this Thread
Old 11-04-2004, 12:24 PM   #1
Beire
Member
 
Registered: May 2004
Posts: 33

Rep: Reputation: 15
firefox and libgtk-x11-2.0.so.0


I've been trying to install the new firefox for quite a long time now, i'm also quite new to linux.
I'm using Ubuntu linux, i placed the thread in debian forums because it is debian based.

When i try to run the installer i get this:

root@D5772C6E:~/firefox-installer # ./firefox-installer
./firefox-installer-bin: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory

but whe i do :

oot@D5772C6E:~/firefox-installer # locate libgtk-x11-2.0.so.0
warning: locate: warning: database /var/lib/slocate/slocate.db' is more than 8 days old
/usr/lib/libgtk-x11-2.0.so.0.400.10
/usr/lib/libgtk-x11-2.0.so.0


You see i have the file, but he doesn't seem to find it. Is there any way i can tel him where the file is ?

Also what's the console command to remove a directory with files in it

Greetings,

Beire
 
Old 11-04-2004, 12:48 PM   #2
m00t00
Member
 
Registered: Sep 2004
Distribution: Slackware 10, Gentoo
Posts: 292

Rep: Reputation: 30
rm -r /path/to/dir/

edit: and I'm suprised there's no debian package for firefox :/, are you sure you looked into it?
 
Old 11-04-2004, 12:58 PM   #3
Beire
Member
 
Registered: May 2004
Posts: 33

Original Poster
Rep: Reputation: 15
Quote:
Originally posted by m00t00
rm -r /path/to/dir/

edit: and I'm suprised there's no debian package for firefox :/, are you sure you looked into it?
there may be debian packages, but i want the RC2 firefox package and there's nog debian package for it.

Anyway thx for the command
 
Old 11-04-2004, 03:38 PM   #4
jsmarshall85
Member
 
Registered: Aug 2003
Posts: 386

Rep: Reputation: 30
try doing apt-get install libgtk2.0-common and then run the firefox installer
 
Old 11-04-2004, 04:16 PM   #5
Beire
Member
 
Registered: May 2004
Posts: 33

Original Poster
Rep: Reputation: 15
it says i already have the newest version.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Installing Firefox - libgtk iqchicken Linux - Software 6 11-19-2005 01:42 PM
libgtk-x11-2.0.so.0 problem pacranch Amigo 4 04-16-2005 01:02 AM
Help! Running IglooFTP-PRO : error: does not find libgtk-x11-2.0.so.0 asaba Linux - Software 0 11-02-2004 11:36 AM
firefox libgtk-x1102.0.so.0 error freddy1234 Linux - Software 3 08-29-2004 11:45 PM
libgtk-x11 nautilus_1987 Linux - Software 8 09-22-2002 10:27 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian

All times are GMT -5. The time now is 09:26 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration